Page MenuHomePhabricator

Notice: Undefined variable: latest in /srv/mediawiki/php-1.29.0-wmf.11/extensions/MobileFrontend/includes/api/ApiMobileView.php on line 499
Closed, ResolvedPublic2 Estimated Story PointsPRODUCTION ERROR

Description

This has started happening with some frequency after the wmf.11 rollout to group0

Event Timeline

thcipriani triaged this task as Unbreak Now! priority.Feb 8 2017, 12:18 AM

Changing to UBN! since I added it as a blocker to 1.29.0-wmf.11 as it's a particularly noisy message even only just being deployed in group0.

thcipriani added a subscriber: Jdlrobson.

@Jdlrobson looks like this one may have come from rEMFRb68f5d2fcc09: Merge "Hygiene: breakup mega-function in MobileView API"β€”$latest was moved out of scope there. Could you take a look at this one, please? Feel free to pass the "assign/claim" hot potato as appropriateβ€”I tagged you after a quick glance at git blame.

MBinder_WMF set the point value for this task to 1.Feb 8 2017, 6:07 PM
MBinder_WMF changed the point value for this task from 1 to 2.

Change 336667 had a related patch set uploaded (by Jdlrobson):
Pass revision id to parseSectionsData to avoid warnings

https://gerrit.wikimedia.org/r/336667

Change 336676 had a related patch set uploaded (by Thcipriani):
Pass revision id to parseSectionsData to avoid warnings

https://gerrit.wikimedia.org/r/336676

Change 336667 merged by jenkins-bot:
Pass revision id to parseSectionsData to avoid warnings

https://gerrit.wikimedia.org/r/336667

Change 336676 merged by jenkins-bot:
Pass revision id to parseSectionsData to avoid warnings

https://gerrit.wikimedia.org/r/336676

Mentioned in SAL (#wikimedia-operations) [2017-02-08T20:47:07Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.11/extensions/MobileFrontend/includes/api/ApiMobileView.php: [[gerrit:336676|Pass revision id to parseSectionsData to avoid warnings]] T157515 (duration: 00m 42s)

Jdlrobson claimed this task.

This has now been deployed thanks to @thcipriani and I just verified with him that the problem has gone from group0 wikis. Good work all!

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM